/*
 *	gbook.h:	Guestbook CGI common header file
 */

#include <stdio.h>
#include <fcntl.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>
#include <unistd.h>
#include <pwd.h>
#include <grp.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/file.h>
#include "cgic.h"

#define HTTPD_GRP "nobody"
#define CGI_SCRIPT "/cgi-bin/rogbook.cgi"
#define GBOOK_DIR "rogbook/"
#define TALK_DIR "talk/"
#define GBOOK_CONF "rogbook.conf"
#define MSGDIR_RECORD ".DIR"

#define MAX_MSG_NO 500
#define MAX_MSG_SIZE 10000

int MPP = 5;	/* Messages Per Page */

/* Structure for Message Directory Record */

struct msgDIR {     	
	char	fn[20];		/* Message File Name */
	char	owner[40];	/* Message Owner */
	char	subj[80];	/* Message Subject */
	char    email[80];	/* Email of Owner */
	char    url[80];	/* url */
	char    host[40];	/* host */
	int     item[10];	/* user selected */
	time_t	ptime;		/* Post Time */
	
};

