#!/bin/sh

BINPATH="/usr/local/bin"
TMPLPATH="/usr/local/share/skel/rogbk"
GBOOK_DIR="${HOME}/rogbook"
GBOOK_CONF="${GBOOK_DIR}/rogbook.conf"
GBOOK_SECURE="${BINPATH}/rogbook-secure"
TALK_DIR="${GBOOK_DIR}/talk"
HTTPD_GRP="bbs"

echo " -- Guestbook CGI setup begin --"

if [ ! -d ${GBOOK_DIR} ]; then
	mkdir ${GBOOK_DIR}
	chmod g+rwx ${GBOOK_DIR}
	cp ${TMPLPATH}/* ${GBOOK_DIR}
fi

if [ ! -d ${TALK_DIR} ]; then
	mkdir ${TALK_DIR}
	chmod 777 ${TALK_DIR}
fi

echo -n "Please Input Your Read Only Guestbook Title> "
read title
echo "${title}" > ${GBOOK_CONF}
echo -n "How many messages per page (MPP)> "
read mpp
echo "${mpp}" >> ${GBOOK_CONF}
${GBOOK_SECURE}
echo -n "Please Input Password for Guestbook Management> "
read passwd
echo "${passwd}" >> ${GBOOK_CONF}
chmod g+w ${GBOOK_CONF}

echo " -- Guestbook CGI setup end -- "
